using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Diagnostics;

namespace csimap4
{
    public partial class FormWrite : Form
    {
        public FormWrite()
        {
            InitializeComponent();
        }

		private string Host = "";
		private string FromAddress = "";
		private int SmtpPort = nMail.Smtp.StandardPortNo;
		private int SmtpSsl = 0;
		private int SmtpAuth = nMail.Smtp.AuthNotUse;
		private string SmtpId = "";
		private string SmtpPassword = "";

        private void buttonAttach_Click(object sender, EventArgs e)
        {
			if(openFileDialog.ShowDialog() == DialogResult.OK)
			{
				textAttach.Text = openFileDialog.FileName;
			}
        }

        private void buttonSend_Click(object sender, EventArgs e)
        {
			if(textTo.Text == "") 
			{
				MessageBox.Show("͂Ă", "csmail", MessageBoxButtons.OK, MessageBoxIcon.Error);
				return;
			}
			if(textSubject.Text == "") 
			{
				MessageBox.Show("͂Ă", "csmail", MessageBoxButtons.OK, MessageBoxIcon.Error);
				return;
			}
			using(nMail.Smtp smtp = new nMail.Smtp(Host)) 
			{
				try 
				{
					if(!File.Exists(textAttach.Text))
					{
						textAttach.Text = "";
					}
					smtp.FileName = textAttach.Text;

					smtp.SSL = SmtpSsl;
					smtp.Connect(SmtpPort);
					smtp.Authenticate(SmtpId, SmtpPassword, SmtpAuth);
					smtp.SendMail(textTo.Text, FromAddress, textSubject.Text, textBody.Text);
					smtp.Close();

					MessageBox.Show("[𑗐M܂", "csmail");
					Close();
				} 
				catch(nMail.nMailException nex)
				{
					MessageBox.Show(String.Format("{0:d}", nex.ErrorCode));
				}
				catch(Exception ex)
				{
					Debug.WriteLine(ex.Message);
				}
			}
        }
 
 		public string HostName
		{
			set
			{
				Host = value;
			}
		}
		public int PortNo
		{
			set
			{
				SmtpPort = value;
			}
		}

		public int SSL
		{
			set
			{
				SmtpSsl = value;
			}
		}

		public int Auth
		{
			set
			{
				SmtpAuth = value;
			}
		}
		public string From
		{
			set
			{
				FromAddress = value;
			}
		}
		public string To
		{
			set
			{
				textTo.Text = value;
			}
			get
			{
				return textTo.Text;
			}
		}
		public string Subject
		{
			set
			{
				textSubject.Text = value;
			}
			get
			{
				return textSubject.Text;
			}
		}
		public string Body
		{
			get
			{
				return textBody.Text;
			}
		}
		public string FileName
		{
			get
			{
				return textAttach.Text;
			}
		}
		public string Id
		{
			set
			{
				SmtpId = value;
			}
		}

		public string Password
		{
			set
			{
				SmtpPassword = value;
			}
		}
   }
}